Package weka.associations.tertius

# Class Predicate

java.lang.Object
weka.associations.tertius.Predicate

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class Predicate extends Object implements Serializable, RevisionHandler

Version:
  $Revision: 1.5 $
Author:
  Peter A. Flach, Nicolas Lachiche
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Predicate(String name, int index, boolean isClass)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addLiteral(Literal lit)`
`String`
`description()`
`int`
`getIndex()`
`Literal`
`getLiteral(int index)`
`String`
`getRevision()`
Returns the revision string.
`int`
`indexOf(Literal lit)`
`boolean`
`isClass()`
`int`
`numLiterals()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Predicate

public Predicate(String name, int index, boolean isClass)

## Method Details

### addLiteral

public void addLiteral(Literal lit)

### getLiteral

public Literal getLiteral(int index)

### getIndex

public int getIndex()

### indexOf

public int indexOf(Literal lit)

### numLiterals

public int numLiterals()

### isClass

public boolean isClass()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### description

public String description()

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision